当前位置

CAD-VBA开发-AcDbPolyline与AcDb2dPolyline

时间:2018-12-28 00:53:11 来源: 作者: 浏览:
摘要:AcDbPolyline的组码是 LWPOLYLINE (LW-Low Level)AcDb2dPolyline的组码是 POLYLINELWPOLYLINE 是简单Polyline, 所包含的对象在本身内部POLYLINE 是复杂的实体,所包含的
关键字:CAD,VBA

  AcDbPolyline的组码是 LWPOLYLINE (LW-Low Level)

  AcDb2dPolyline的组码是 POLYLINE

  LWPOLYLINE 是简单Polyline, 所包含的对象在本身内部

  POLYLINE 是复杂的实体,所包含的对象不再本身内部,而也是独立的点对象

  对于这两种来说,常用的时AcDbPolyline(LWPOLYLINE ),AcDb2dPolyline是旧版的,不常用,逐步淘汰中。

  如果想要在AutoCAD中绘制AcDb2dPolyline的话,方法如下:

  修改参数:PLINETYPE

  命令: PLINETYPE

  输入 PLINETYPE 的新值 <2>: 0

  命令:

  PLINETYPE指定是否使用优化的二维多段线。 PLINETYPE 控制如何使用 PLINE 命令创建新多段线以及是否转换早期版本图形中的现有多段线。

  0打开旧图形时不转换其中的多段线;PLINE 创建旧格式的多段线

  1打开旧图形时不转换其中的多段线;PLINE 创建优化的多段线

  2打开 AutoCAD 14 或旧图形时转换其中的多段线;PLINE 创建优化的多段线(http://www.feizhimeng.com)

  程序中转换的方法:AcDb2dPolyline<-->AcDbPolyline

  在AcDbPolyline中有定义方法,用作两者之间的转换

  AcDbPolyline::convertFrom Function

  This fills theAcDbPolyline with data from the AcDb2dPolyline pointed to bypEnt.

  AcDbPolyline::convertTo Function

  This function creates an AcDb2dPolyline from theAcDbPolyline and sets pPline to point to the newly createdAcDb2dPolyline.

发表评论 共有条评论
用户名:
密    码: 匿名发表(默认匿名发表)
内    容:
验证码:
如果提示“验证码不正确”,请点击验证码刷新一下,输入新的验证码后再提交。
评论列表(共有 条评论)
热点内容
微信扫一扫关注飞之梦